
/* 
 * This program will support the qioctl function for the daq
 * I/O Manager.
 * 
 */

#include <libc.h>
#include <sys/kernel.h>
#include <sys/io_msg.h>
#include "iomgr.h"
#include "daq.h"
#include "daq_if.h"

extern int DQVerbose;


int DQQioctl(pid_t p, file_t *f, int request, long lenOfData,
		void *data, long maxBytesRead)
{
	dqDev 	*dev = f->inode->ino_data;
	struct _io_qioctl_reply reply;
	struct daq_ioctl_reply daq_reply;
	

	if (DQVerbose) printf("Process Id: %d is requesting a qioctl of %d bytes\n",
		p, lenOfData);
	
	reply.status = EOK;
	reply.ret_val = 0;
	Reply(p, &reply, sizeof(reply)-sizeof(reply.data));
	return 0;
}
