/*- base_modes: convert user open mode into discrete options */

#include "iointernal.h"


mode_t
base_modes(mode_t t)
{
static const bmodes[] = { FREAD, FWRITE, FREAD|FWRITE, 0 };
	mode_t   n = 0;

	n = bmodes[t&O_ACCMODE];
	if (t&O_NONBLOCK)
		n |= FNDELAY;
	if (t&(O_DSYNC|O_SYNC))
		n |= FSYNC;
	return n;
}
