/*- fs_unlink() try to remove a node from the filesystem */

#include "iointernal.h"


fs_unlink(pid_t pid, char *path, inode_t *dir)
{
	char              comp[NAME_MAX+1];
	int               e;

	if ((e=nameip(pid, path, FEXEC, dir, &dir, comp)) != EOK) {
		return reply_errno(pid, e);
	}
	return reply_errno(pid, d_unlink(dir, comp));
}
