/*-
 * io_chdir(), walk the indicated path return pass/fail
 */
#include "iointernal.h"


io_chdir(pid_t pid, char *path, inode_t *root)
{
	int            e;
	if ((e=namei(pid, path, FEXEC, root, &root)) != EOK) {
		return reply_errno(pid, e);
	}
	return reply_errno(pid, EOK);
}

