/* 
 * This killed program will respond to the I/O Manager detecting a signal
 * for a client
 */

#include <libc.h>
#include "iomgr.h"
#include "daq.h"

int DQClose(pid_t p, file_t *f)
{

	struct dqPprocWait *waitQ;
	dqDev 	*dev = f->inode->ino_data;

	
	printf("Close any open filedes for process %d\n", p);

	while ((waitQ = DQDetachQ(&dev->procWaitQ, DQCmpFn, &p)) != NULL)
	{
		printf("Closing queued file desccriptor for pid: %d\n", p);
		free(waitQ);
		reply_errno(p, EINTR);
	}
}

