
#include <string.h>
#include <sys/stat.h>
#include "iointernal.h"

void
ino2stat(struct stat *st, inode_t *ino)
{
	memset(st, 0, sizeof *st);
	st->st_ino = ino->ino_ino;
	st->st_dev = ino->ino_dev;
	st->st_mode= ino->ino_ftype;
	st->st_size= ino->ino_size;
	st->st_rdev= ino->ino_rdev;
	st->st_uid = st->st_ouid = ino->ino_uid;
	st->st_gid = st->st_ogid = ino->ino_gid;
	st->st_mtime=ino->ino_mtime;
	st->st_atime=ino->ino_atime;
	st->st_ctime=ino->ino_ctime;
	st->st_ftime=ino->ino_ctime; /* might fix later */
	st->st_nlink=ino->ino_nlink;
	st->st_status=1;             /* huh? */
}
