/*-
 * io_dup() duplicate a filedescriptor.  Better checking should
 * be employed here
 */

#include <sys/fd.h>
#include "iointernal.h"

io_dup(pid_t pid, file_t *f, int dstpid, int dstfd)
{
	if (FD_SET(dstpid, dstfd, f2index(f)) == -1) {
		return reply_errno(pid, errno);
	}
	f->count++;
	return reply_errno(pid, EOK);
}
