/*- io_fstat() -- get the stat structure and reply appropriately.
 */

#include <sys/io_msg.h>
#include <sys/kernel.h>
#include "iointernal.h"

io_fstat(pid_t pid, file_t *f)
{
	struct _io_fstat_reply     rep;

	rep.status = EOK;
	ino2stat(&rep.stat, f->inode);
	Reply(pid, &rep, sizeof rep);
	return 0;
}
