
/*- server: main loop and message dispatch */
#include "iointernal.h"
#include "iomessage.h"

dev_message(pid_t pid, dev_msg *m, unsigned len)
{
	switch (m->type) {
	case _DEV_TCGETATTR:
	case _DEV_TCSETATTR:
	case _DEV_TCSENDBREAK:
	case _DEV_TCDRAIN:
	case _DEV_TCFLUSH:
	case _DEV_TCFLOW:
	case _DEV_TCGETPGRP:
	case _DEV_TCSETPGRP:
	case _DEV_INSERTCHARS:
	case _DEV_MODE:
	case _DEV_WAITING:
	case _DEV_INFO:
	case _DEV_ARM:
	case _DEV_STATE:
	case _DEV_READ:
	case _DEV_WRITE:
	case _DEV_FDINFO:
	case _DEV_TCSETCT:
	case _DEV_TCDROPLINE:
	case _DEV_SIZE:
	case _DEV_READEX:
	case _DEV_OSIZE:
	case _DEV_RESET:
	default:
		reply_errno(pid, ENOSYS);
		break;
	}
	return 0;
}
